## clearcut 1.0.9

=== Makefile ===
#
# Makefile 
#
# $Id: Makefile,v 1.3 2007/11/27 18:33:59 sheneman Exp $
#
#
#*****************************************************************************
#
# Copyright (c) 2004,  Luke Sheneman
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without 
# modification, are permitted provided that the following conditions 
# are met:
# 
#  + Redistributions of source code must retain the above copyright 
#    notice, this list of conditions and the following disclaimer. 
#  + Redistributions in binary form must reproduce the above copyright 
#    notice, this list of conditions and the following disclaimer in 
#    the documentation and/or other materials provided with the 
#    distribution. 
#  + The names of its contributors may not be used to endorse or promote 
#    products derived from this software without specific prior 
#    written permission. 
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE 
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE 
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
# POSSIBILITY OF SUCH DAMAGE.  
#
#*****************************************************************************
#
# AUTHOR:
# 
#   Luke Sheneman
#   sheneman@cs.uidaho.edu
#
#*****************************************************************************


# Specify your compiler here
CC	= gcc
#CC	= cc


# Uncomment the following line to use the GNU getopt_long() instead
#  of the built-in getopt_long()

#OPTFLAG = -DUSE_GNU


############################# THE CFLAGS ####################################
#
# NOTE: The optimal selection of compiler flags is important.
#       Clearcut was written and developed on a Pentium 4 Linux
#       Computer.  As such, compiler optimization flags for 
#       recent versions of GCC on the Pentium 4 platform have been
#       well tested and do make a significant impact on overall 
#       performance.  
#  
#       Several alternative sets of compiler options are listed below.
#       Customize the compiler flags (CFLAGS) to match your target system.
#


######################## ALL ARCHITECTURES ##################################

# DEFAULT GCC OPTIMIZATION CONFIGURATION (ALL ARCHITECTURES)
CFLAGS = -O3 -Wall -funroll-loops -fomit-frame-pointer

# BASIC OPTIMIZATION
#CFLAGS = -O3

######################## INTEL PENTIUM OPTIMIZATIONS ########################

# PENTIUM 4 w/SSE GCC OPTIMIZATIONS.  REQUIRES GCC >= 3.2
#CFLAGS = -O3 -funroll-loops -march=pentium4 -mcpu=pentium4 -mfpmath=sse -ffast-math -momit-leaf-frame-pointer

# GENERIC i686 OPTIMIZATIONS GCC OPTIMIZATIONS
#CFLAGS = -O3 -funroll-loops -march=i686 -mcpu=i686 -fomit-frame-pointer

# GENERIC Intel C Compiler (ICC) Optimizations
#CFLAGS = -O3 -axP -xP -unroll100 -IPF_fp_fast -IPF_fltacc+ -ip

#############################################################################


######################### POWER PC OPTIMIZATIONS ############################

# MAC OS X POWER PC OPTIMIZATIONS
#CFLAGS = -O3 -funroll-loops -fomit-frame-pointer -mcpu=powerpc -mabi=altivec -mtune=powerpc -maltivec

#############################################################################


# DEBUGGING COMPILER FLAGS
#CFLAGS	= -g3 


INCDIRS = -I /usr/local/include
DEPEND  = makedepend

# *** THE LINK FLAGS ***
#LINKFLAGS = -O3
LIBS = -lm

SRCS    = clearcut.c dist.c dmat.c fasta.c cmdargs.c prng.c getopt_long.c
OBJS	= clearcut.o dist.o dmat.o fasta.o cmdargs.o prng.o getopt_long.o
HDRS    = clearcut.h dist.h dmat.h fasta.h cmdargs.h common.h dayhoff.h getopt_long.h prng.h

all: clearcut

clean:
	rm -f *.o a.out *.a clearcut

.c.o:   $(SRCS) $(HDRS)
	$(CC) -c $(INCDIRS) $(CFLAGS) $(OPTFLAG) $(DEFS) $<

clearcut: $(OBJS) $(LIBOBJS)
	 $(CC) $(LINKFLAGS) -o $@ $(OBJS) $(LIBDIRS) $(LIBS)

=== debian/changelog ===
clearcut (1.0.9-1) unstable; urgency=medium

  * Initial upload to Debian (Closes: #740298)

 -- Andreas Tille <tille@debian.org>  Thu, 27 Feb 2014 17:11:16 +0000

clearcut (1.0.9-0biolinux1) precise; urgency=low

  * New package to support QIIME

 -- Tim Booth <tbooth@ceh.ac.uk>  Fri, 21 Feb 2014 18:52:48 +0000

=== debian/control ===
Source: clearcut
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/clearcut/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/clearcut/trunk/
Homepage: http://bioinformatics.hungry.com/clearcut/

Package: clearcut
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: extremely efficient phylogenetic tree reconstruction
 Clearcut is the reference implementation for the Relaxed Neighbor Joining (RNJ)
 algorithm by J. Evans, L. Sheneman, and J. Foster from the Initiative
 for Bioinformatics and Evolutionary Studies (IBEST) at the University of 
 Idaho.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_compress:
	dh_compress -X.dist

# Note a manpage was generated using:
#  help2man -N ./clearcut > debian/clearcut.1
#  But this was then manually edited, so it is not rebuilt automatically.

=== debian/watch ===
version=3
http://bioinformatics.hungry.com/clearcut/clearcut-([0-9.]+).tar.gz

## clearcut 1.0.9+git20211013.b799afe

=== debian/changelog ===
clearcut (1.0.9+git20211013.b799afe-1) unstable; urgency=medium

  * New upstream version
  * Add missing build dependency on dh addon.

 -- Andreas Tille <tille@debian.org>  Sun, 16 Jan 2022 14:38:25 +0100

clearcut (1.0.9+git20150622.7658e90-1) unstable; urgency=medium

  * Use git mode since upstream did not consider tagging despite
    issue was filed
  * Remove Tim Booth from Uploaders (Thanks for all your work Tim)
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Wed, 13 Oct 2021 12:04:54 +0200

clearcut (1.0.9-6) unstable; urgency=medium

  * Fix homepage
    Closes: #975947
  * Point watch file to Github (even if no tags are set yet)

 -- Andreas Tille <tille@debian.org>  Fri, 04 Dec 2020 15:22:30 +0100

clearcut (1.0.9-5) unstable; urgency=medium

  [ Steve Langasek ]
  * clear errno before using it to check failure from atof()
    Closes: #953675

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Propagate CFLAGS to upstream Makefile

 -- Andreas Tille <tille@debian.org>  Thu, 12 Mar 2020 11:06:18 +0100

clearcut (1.0.9-4) unstable; urgency=medium

  * Team upload.

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.

  [ Joyce Zhou ]
  * Add autopkgtest
    Closes: #909711

 -- Joyce Zhou <jyzhou15@uw.edu>  Thu, 28 Mar 2019 22:16:52 -0700

clearcut (1.0.9-3) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - yamllint cleanliness
    - added references to registries

  [ Andreas Tille ]
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Secure URI in copyright format

 -- Andreas Tille <tille@debian.org>  Fri, 19 Oct 2018 15:49:31 +0200

clearcut (1.0.9-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * d/watch: version=4
  * debhelper 10
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Tue, 14 Nov 2017 08:42:17 +0100

=== debian/control ===
Source: clearcut
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13), debhelper
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/clearcut
Vcs-Git: https://salsa.debian.org/med-team/clearcut.git
Homepage: https://github.com/sheneman/clearcut
Rules-Requires-Root: no

Package: clearcut
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: extremely efficient phylogenetic tree reconstruction
 Clearcut is the reference implementation for the Relaxed Neighbor Joining (RNJ)
 algorithm by J. Evans, L. Sheneman, and J. Foster from the Initiative
 for Bioinformatics and Evolutionary Studies (IBEST) at the University of
 Idaho.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @
Restrictions: allow-stderr

Tests: check-malformed
Depends: @
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="mode=git,pretty=1.0.9+git%cd.%h" \
    https://github.com/sheneman/clearcut.git HEAD

#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
#   https://github.com/sheneman/clearcut/releases .*/v?@ANY_VERSION@\.tar\.gz

# hope https://github.com/sheneman/clearcut/issues/1 will be fixed soon
